Skip to content

Exclude Products from Contract Price Book

POST https://api.secure.quotivity.com/v1/pricebooks/{priceBookId}/exclude

Makes products unavailable on a contract price book in every currency, even though its parent prices them. Requires the CONTRACT_PRICE_BOOKS feature.

Send your API key in the x-api-key header. See Generating API keys.

Name Type Required Description
priceBookId string Yes —

Required, application/json: PriceBookProductIdsRequest

Status Body Description
200 PriceBookProductIdsResponse Products updated
400 — Not a contract price book (EXCLUDE_REQUIRES_CONTRACT_BOOK), or the CONTRACT_PRICE_BOOKS feature is not enabled
401 — Unauthorized
404 — Price book not found
500 — Internal Server Error
Field Type Required Description
productIds string[] Yes —
Field Type Required Description
productIds string[] Yes —
excluded boolean Yes —